=== debian/changelog ===
rplay (3.3.2-16) unstable; urgency=medium

  * debian/control: Standards version moved to 3.9.8 (no changes)
  * debian/rules: add non-empty binary-indep target in order to be
                  able to build with "dpkg-buildpackage -A"
                  thanks to Santiago Vila for the patch
                  Closes: #805959

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 15 Jul 2016 19:04:35 +0200

rplay (3.3.2-15) unstable; urgency=medium

  * debian/control: Standards version moved to 3.9.6 (no changes)
  * debian/control: use dh 9
  * debian/control: DM-Upload-Allowed: removed
  * add patch 40_clang.patch to make it compile with clang
    thanks to Nicolas Sévelin-Radiguet (Closes: #741567)
  * add README.Debian as suggested by Vincent McIntyre (Closes: #597152)

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 22 Sep 2015 22:04:35 +0200

rplay (3.3.2-14) unstable; urgency=low

  * debian/control: Standards version moved to 3.9.2 (no changes)
  * debian/control: dependency on dpatch removed
  * debian/control: add dependency on libperl4-corelibs-perl to librplay-perl
  * debian/control: architecture: all for librplay-perl
  * debian/source/format: changed to 3.0 (quilt)
  * debian/rules: dpatch removed
  * debian/rules: build-arch and build-indep according to lintian 
                  recommendation added
  * debian/patches: moved from dpatch to quilt
  * debian/rplay-server.rplay: add Description: to init-script

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Dec 2011 18:04:35 +0100

rplay (3.3.2-13) unstable; urgency=low

  * New maintainer (Closes: #473853)
  * patch to avoid crash in case there is nothing to play (Closes: #502610)
  * debian/copyright: copyright collected from source files (Closes: #532449)
  * debian/control: depend on libreadline-dev (Closes: #553842)
  * debian/control: renaming rplay-perl to librplay-perl (Closes: #575930)
                    according to apt-rdepends only rplay-contrib depends
                    on rplay-perl, so simply renaming should do no harm
  * debian/control: use Breaks: instead of Conflitcs: for older vresion
                    of package
  * debian/control: dependency on dpkg (>= 1.15.4) | install-info added
  * debian/control: dependency on debhelper (>= 8.0.0)
  * debian/control: standard bumped to 3.9.1
  * debian/control: new package for shared library added
                    as lintian complained about a shared library within 
                    another package, the library has to be moved from
                    rplay-client to a separate package
  * debian/control: lintian overrides for symbol file added
  * debian/control: DM-Upload-Allowed added
  * debian/rules: dh_clean -k replaced by dh_prep
  * debian/compat: 5 changed to 8
  * debian/README.source added
  * debian/source/format: start with format 1.0
  * debian/*inst: change -e to set -e
  * debian/*rm: change -e to set -e
  * the following maintainer scripts have been removed (they are empty):
    - librplay3-dev.postinst
    - rplay-client.postinst

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Nov 2010 16:00:00 +0100

rplay (3.3.2-12) unstable; urgency=low

  * QA upload.
  * Acknowledging NMU: thanks to Peter Eisentraut who took care
  * debian/control
    - set QA group as maintainer
    - bump Standards-Version to 3.8.0
    - added Homepage field
    - added dpatch build-dep
    - replaced ${Source-Version} with ${binary:Version} in librplay3-dev dep
    - section fixed for librplay3-dev (libdevel)
    - set section: perl for rplay-perl
    - short descriptions re-worded
  * debian/watch
    - added
  * debian/rules
    - added dpatch stuff
    - removed '-s' option from install call; thanks to Julien Danjou for the
      report; Closes: #437921
    - removed '-' in front of clean target commands
    - removed commented dh_* call
    - installed upstream changelog directly (passing the filename to
      dh_installchangelog)
    - make call are now made with $(MAKE)
    - init file installation moved from install to binary-arch target
  * debian/patches/01_previous_changes.dpatch
    - added to remove direct upstream code changes
  * debian/copyright
    - clearly separated copyright and license notices
    - indented copyright, license and upstream author with 4 spaces
    - reformat the location of a Debian system of GPLv2 license text
    - left only the caption of GPLv2 license text
  * debian/rplay-contrib.postinst
    - removed since empty
  * debian/rplay-client.postrm
    - removed since empty
  * debian/patches/10_fix_manpages.dpatch
    - added to fix hyphen-used-as-minus-sign lintian warnings
  * debian/rplay-server.rplay
    - applied the patch from Christian Perrier; thanks to him; Closes: #389067
  * debian/librplay3.docs
    - removed installation of changelog, we do it in debian/rules

 -- Sandro Tosi <matrixhasu@gmail.com>  Sun, 17 Aug 2008 23:58:00 +0200

rplay (3.3.2-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #468571)

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 01:02:28 +0200

rplay (3.3.2-11) unstable; urgency=low

  * re-generated configure script (closes: 369208)

 -- lantz moore <lmoore@debian.org>  Sat, 10 Jun 2006 11:05:13 -0700

rplay (3.3.2-10) unstable; urgency=low

  * build-depends on libreadline6-dev (closes: 326302)
  * -dev depends on libc6-dev (closes: 337791)
  * documented monitor command in rptp (closes: 293899)

 -- lantz moore <lmoore@debian.org>  Sun,  1 Jan 2006 15:06:51 -0800

rplay (3.3.2-9) unstable; urgency=low

  * removed "transitional" rplay package (closes: 308703)
  * removed bogus and unused inetd decl (closes: 288437)
  * include errno.h instead of extern definition (closes: 280274)
  * no longer creates the /usr/doc link (closes: 322834)
  * applied patch for gnu and kfreebsd-gnu (closes: 267997)
  
 -- lantz moore <lmoore@debian.org>  Wed, 24 Aug 2005 16:56:50 -0700


