=== debian/control ===
Source: rplay
Section: sound
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Standards-Version: 3.9.8
Build-Depends: libgsm1-dev, 
   libreadline-dev, 
   debhelper (>= 9.0.0), 
   dpkg (>= 1.15.4) | install-info
Homepage: http://rplay.doit.org/

Package: rplay-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
   dpkg (>= 1.15.4) | install-info, 
   devrplay3
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Description: rplay network audio system - basic clients
 This package contains the basic rplay clients (rplay, rptp).  The clients
 are used to play sounds on the local host or remote systems.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: devrplay3
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Description: rplay network audio system - basic library
 This package contains the basic rplay library (devrplay).
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: rplay-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Suggests: mpg123, vorbis-tools
Description: rplay network audio system - server
 This package contains the rplay server.  The rplay server allows sounds
 to be played on the system.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: librplay3
Architecture: any
Depends: ${shlibs:Depends}, dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Section: libs
Description: rplay network audio system - shared libraries
 Contains shared libraries for the rplay network audio system.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: librplay3-dev
Architecture: any
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Depends: libc6-dev | libc-dev, 
    librplay3 (= ${binary:Version}), 
    dpkg (>= 1.15.4) | install-info, 
    ${misc:Depends}
Section: libdevel
Description: rplay network audio system - development libraries
 Contains header files and development libraries for the rplay network
 audio system.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: librplay-perl
Architecture: all
Breaks: rplay (<< 3.3.2-9)
Conflicts: rplay-perl
Replaces: rplay (<< 3.3.2-9)
Depends: ${perl:Depends}, ${misc:Depends},
    libperl4-corelibs-perl | perl (<< 5.12.3-7)
Section: perl
Description: rplay network audio system - perl modules
 Contains perl modules which aid in creating rplay-aware perl scripts.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.

Package: rplay-contrib
Architecture: any
Depends: ${shlibs:Depends}, librplay-perl, ${perl:Depends}, ${misc:Depends}
Breaks: rplay (<< 3.3.2-9)
Replaces: rplay (<< 3.3.2-9)
Description: rplay network audio system - contributed binaries
 Contains mailsounds and Mailsounds each of which can be used to play
 sounds on a system when new mail arrives.
 .
 RPlay allows sounds to be played to and from local and remote Unix
 systems.  Sounds can be played with or without sending audio data over
 the network using either UDP or TCP/IP.  RPlay audio servers can be
 configured to share sound files with each other. 
 .
 Support for RPlay is included in several applications.  These include
 xpilot, xlockmore, xboing, fvwm, and ctwm.
