=== debian/watch ===
version=3
http://rplay.doit.org/dist/rplay-(.*)\.tar\.gz
